// Package data provides data migrations
package data

import (
	"context"

	"github.com/jmoiron/sqlx"
	"gitlab.mashroom.com/mashroom/backend/listing/internal/connections"
)

// MigrationFunc type
type MigrationFunc func(ctx context.Context, db *sqlx.DB, conns *connections.Connections) error

// CurrentMigrationList export
var CurrentMigrationList []MigrationFunc
