package service

import (
	"context"
	"time"

	schedule "gitlab.mashroom.com/mashroom/backend/schedule/api"
)

func (srv *serviceImpl) ConsumeReminder(
	ctx context.Context,
	req *schedule.Reminder_ConsumeRequest,
) (*schedule.Reminder_ConsumeResponse, error) {
	err := srv.TaskRegistry.Consume(ctx, req, time.Now())
	if err != nil {
		return nil, err
	}

	return &schedule.Reminder_ConsumeResponse{}, nil
}
