module gitlab.mashroom.com/mashroom/backend/listing

go 1.16

replace gitlab.mashroom.com/mashroom/backend/listing/api => ./api

require (
	github.com/Masterminds/squirrel v1.4.0
	github.com/camunda-cloud/zeebe/clients/go v1.0.1
	github.com/dhui/dktest v0.3.3 // indirect
	github.com/golang-migrate/migrate/v4 v4.13.0
	github.com/golang/mock v1.6.0
	github.com/golang/protobuf v1.5.2
	github.com/jmoiron/sqlx v1.3.3
	github.com/lib/pq v1.10.1
	github.com/stretchr/testify v1.8.0
	gitlab.mashroom.com/mashroom/backend/account/api v0.0.0-20220901042809-2072e2d43718
	gitlab.mashroom.com/mashroom/backend/address/api v0.0.0-20220901043114-1b5630ae5318
	gitlab.mashroom.com/mashroom/backend/cardpayment/api v0.0.0-20220901042825-c5bbfccdf701
	gitlab.mashroom.com/mashroom/backend/closecom/api v0.0.0-20220901043053-20ab81372841
	gitlab.mashroom.com/mashroom/backend/common/api v0.0.0-20220916131045-3cb352ad5148
	gitlab.mashroom.com/mashroom/backend/common/generic v0.0.0-20220916131045-3cb352ad5148
	gitlab.mashroom.com/mashroom/backend/document/api v0.0.0-20220901043046-966be0263069
	gitlab.mashroom.com/mashroom/backend/extras/api v0.0.0-20220907174118-396f5d98d415
	gitlab.mashroom.com/mashroom/backend/geo/api v0.0.0-20220901042654-76419d6239c0
	gitlab.mashroom.com/mashroom/backend/gmailparser/api v0.0.0-20220826124859-8dbb2b85b5e4
	gitlab.mashroom.com/mashroom/backend/invitation/api v0.0.0-20220901043033-128add4b3dff
	gitlab.mashroom.com/mashroom/backend/invoice/api v0.0.0-20220901043025-9ddf7ec2f72e
	gitlab.mashroom.com/mashroom/backend/listing/api v0.0.0-20220901042725-eee8ed408ce6
	gitlab.mashroom.com/mashroom/backend/messaging/api v0.0.0-20220901043959-4e607ba01928
	gitlab.mashroom.com/mashroom/backend/notification/api v0.0.0-20220901043900-8a74625a788a
	gitlab.mashroom.com/mashroom/backend/offer/api v0.0.0-20220901043745-e2f08fc19a18
	gitlab.mashroom.com/mashroom/backend/property/api v0.0.0-20220901043635-8820c93d0f5f
	gitlab.mashroom.com/mashroom/backend/schedule/api v0.0.0-20220901043543-f5c352c130b6
	gitlab.mashroom.com/mashroom/backend/tokenio/api v0.0.0-20220901043334-72c9c20d2306 // indirect
	gitlab.mashroom.com/mashroom/backend/viewing/api v0.0.0-20220901043256-c4be6c9d8e1c
	gitlab.mashroom.com/mashroom/backend/zeebe/api v0.0.0-20220901043222-0e2b5b9951c9
	golang.org/x/tools v0.1.5
	google.golang.org/grpc v1.46.2
	google.golang.org/protobuf v1.28.0
)
