package service

import (
	"context"

	"gitlab.mashroom.com/mashroom/backend/common/api/process"
)

func (srv *serviceImpl) Ping(
	ctx context.Context,
	req *process.PingRequest,
) (*process.PingResponse, error) {
	return &process.PingResponse{
		Data: req.GetData(),
	}, nil
}

func (srv *serviceImpl) Start(
	ctx context.Context,
	req *process.StartRequest,
) (*process.StartResponse, error) {
	return &process.StartResponse{}, nil
}

func (srv *serviceImpl) Incident(
	ctx context.Context,
	req *process.IncidentRequest,
) (*process.IncidentResponse, error) {
	return &process.IncidentResponse{}, nil
}

func (srv *serviceImpl) Finish(
	ctx context.Context,
	req *process.FinishRequest,
) (*process.FinishResponse, error) {
	return &process.FinishResponse{}, nil
}
